<div class="panel">
    <h3 class="font-medium mb-3  titulo">Categorias</h3>
    <h4 class="font-medium mb-3 subtitulo">Home - Categorias </h4>
    <div class="row">
        <div class="card col-12 panel-card" >

            <div class="d-flex justify-content-start" >
                <button type="button" class="btn btn-success" style="height: 36px;" (click)="showGuardar(true)">Agregar</button> 

            </div>
            <div style="margin-top: 25px;">
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th>
                                Clave
                            </th>
                           
                            <th>
                                Nombre
                            </th>
                            <th>
                                Activo
                            </th>
                            <th>
                                Fecha de creación
                            </th>
                            <th>
                                Editar
                            </th>
                            <th>
                                Eliminar
                            </th>
                        </tr>
                        

                    </thead>
                    <tbody>
                        <tr  *ngFor="let categoria of categorias">
                            <td>{{categoria.clave}}</td>
                            <td>{{categoria.nombre}}</td>
                            <td>{{categoria.activo}}</td>
                            <td>{{categoria.fechaCreado | date:'dd/MM/yyyy'}}</td>
                            <td>
                                <button type="button" class="btn " style="height: 36px;" (click)="showActualizar(categoria)"><i class="bi bi-pencil-fill"></i></button> 
                            </td>
                            <td>
                                <button type="button" class="btn " style="height: 36px;" (click)="eliminar(categoria.id)"><i class="bi bi-trash"></i></button> 
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
           
        </div>
    </div>
</div>

    <div id="mdlSample" class="modal fade" role="dialog" [ngStyle]="{'display': mdlSampleIsOpen ? 'block' : 'none', 'opacity': 1}">
     <div class="modal-backdrop fade" [ngClass]="{'show': mdlSampleIsOpen}"></div>

        <div class="modal-dialog modal-lg" style="margin-top: 10vh; z-index: 9999;">
    <div class="modal-content">
    <div class="modal-header">
    <h4 *ngIf="!esActualizacion" class="modal-title">Nueva categoria</h4>
    <h4 *ngIf="esActualizacion" class="modal-title">Editar categoria</h4>

    </div>
    <div class="modal-body">

        <form [formGroup]="categoriaForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
              <label for="clave">Clave:</label>
              <input type="text" class="form-control" formControlName="clave" />
              <div *ngIf="categoriaForm.get('clave')?.invalid && categoriaForm.get('clave')?.touched" class="text-danger">
                La clave es obligatoria.
              </div>
            </div>
            <div class="form-group">
              <label for="nombre">Nombre:</label>
              <input type="text" class="form-control" formControlName="nombre" />
              <div *ngIf="categoriaForm.get('nombre')?.invalid && categoriaForm.get('nombre')?.touched" class="text-danger">
                El nombre es obligatorio.
              </div>
            </div>
            <div class="d-flex justify-content-end" style="margin-top: 20px;">
                <button (click)="this.mdlSampleIsOpen = false;"  style="margin-right: 10px;" class="btn btn-light">Cancelar</button>
                <button *ngIf="!esActualizacion"  type="submit" class="btn btn-primary">Guardar</button>
                <button *ngIf="esActualizacion"  (click)="actualizar()" class="btn btn-primary">Actualizar</button>
            </div>
          </form>


    </div>
    <div class="modal-footer" align="right">
                </div> 
    </div>
    </div>
    </div>